'use strict'

const test = require('tape')

const Client = require('../rpcclient')

exports.run = run

function run (endpoint) {
  test(`endpoint: ${endpoint} - create client without new`, function (t) {
    expectError(t, () => Client(endpoint))
  })

  test(`endpoint: ${endpoint} - create client with new`, function (t) {
    expectError(t, () => new Client(endpoint))
  })

  test(`endpoint: ${endpoint} - call sendTo`, function (t) {
    expectError(t, () => Client.sendTo(endpoint, 'foo', 'bar', 1000))
  })

  test(`endpoint: ${endpoint} - call sendToBuffered`, function (t) {
    expectError(t, () => Client.sendToBuffered(endpoint, 'bar', 'foo', cb, 1000))
    function cb () {}
  })
}

function expectError (t, fn) {
  try {
    fn()
    t.fail('expected error')
  } catch (e) {
    t.pass('error thrown')
  }
  t.end()
}
