'use strict'

const test = require('tape')
const cp = require('child_process')
const fs = require('fs')
const path = require('path')

const proxy_js = path.join(__dirname, '..', 'proxy.js')

const helpFile = path.join(__dirname, '..', 'help.txt')
const helpContents = fs.readFileSync(helpFile, 'utf8').trim()

runTests()

function runTests () {
  test('display help', function (t) {
    const execOpts = {
      timeout: 5000
    }
    const cmd = [
      'node',
      proxy_js,
      '-h'
    ].join(' ')

    cp.exec(cmd, execOpts, function (err, stdout, stderr) {
      if (err) return t.end(err)

      t.equal(stderr.trim(), helpContents, 'expected stderr to be contents of help.txt')
      t.equal(stdout, '', 'expected stdout to be empty')
      t.end()
    })
  })
}
