import test from 'tape'
import http from 'http'
import concat from 'concat-stream'
import config from '../../config'
import notify from '../notify'

test('actions/notify - send notification', (t) => {
  let called = false
  const appConfig = config()
  const expect = {
    some: 'stuff'
  }

  const server = http.createServer((req, res) => {
    t.equal(req.method.toLowerCase(), 'post', 'method = post')
    req.pipe(concat((b) => {
      const payload = JSON.parse(b.toString())
      called = true
      t.deepEqual(payload, expect, 'payload matches')
      res.writeHead(202)
      res.end()
      server.close()
    }))
  })

  server.listen(() => {
    appConfig.rc.notificationEndpoint.url = 'http://localhost:' + server.address().port
    notify(appConfig, expect, (e, r) => {
      t.error(e, 'notified ok')
      t.ok(called, 'server was called')
      t.end()
    })
  })
})
