nsolid-rpcclient
---

A very simple client for the REST-like N|Solid agent/proxy API.

```js
var Client = require("nsolid-rpcclient")
var client = Client("http://localhost:8000")

var contentStream = client.send("ping", "HELLO")
```

API
---

All `endpoint` parameters should be an http or https URL to an N|Solid proxy server or N|Solid agent. If using http, you can optionally omit the `http://` prefix from the endpoint.

All `timeout` parameters are specified in ms.

Creating a client
===

    var Client = require("nsolid-rpcclient")
    var client = Client(endpoint)

Create a new client with the specified `endpoint` pre-configured for each `.send`.

Client methods
===

send
---

    var responseStream = client.send(command[, data][, timeout])

Send the command with optional data to the endpoint. Returns a stream of the reply in JSON form.

routeTo
---

    var responseStream = client.routeTo(command, params[, data][, timeout])

Instruct the proxy to route the command with optional data to the specified id. The listening endpoint is expected to be a proxy that can route to the specified id. Returns a stream of the reply in JSON form.

routeToBuffered
---

    client.routeToBuffered(command, params, data, callback[, timeout])

A buffered version of `client.routeTo`, calls `callback(err, replyContent)`

Client functions
===

sendTo
---

    var responseStream = Client.sendTo(endpoint, command[, data][, timeout])

Same as the `send()` method of `Client` objects, but using a specific endpoint.

sendToBuffered
---

    Client.sendToBuffered(endpoint, command, data, callback, [, timeout])

A buffered version of `Client.sendTo`, calls `callback(err, replyContent)`
